#pragma once
//stl
#include <iostream>
#include <vector>
//robotics
#include <robotics/datetime.hpp>

using namespace robotics;

/* ************************************************
* 作者:Lenovo
* 时间:2024/6/3 21:14:08
* 机器名:DESKTOP-4I13MDL
* 实体类名:web_response_info
* 数据库表名 			[[SqlTable("xxx")]]
* 不生成反射 			[[NoReflect]]
* Json字段名 			[[Json("xxx")]]
* 不生成Json字段 		[[NoJson(true)]]
* Sql字段名  			[[Sql("xxx")]]
* 不生成Sql字段 		[[NoSql(true)]]
* Excel字段名			[[Excel("xxx")]]
* 不生成Excel字段 		[[NoExcel(true)]]
* *************************************************/
template<typename _Type>
struct 
[[TemplateType("web_drop_config_info")]]
[[TemplateType("web_general_config_info")]]
[[TemplateType("web_regex_config_info")]]
[[TemplateType("web_sync_config_info")]]
[[TemplateType("web_user_config_info")]]
	web_response_info
{
	/**
	 * @brief 代码
	 */
	int code = 0;
	/**
	 * @brief 消息
	 */
	std::string msg = "成功";
	/**
	 * @brief 数量
	 */
	int count = 0;
	/**
	 * @brief 数据列表
	 */
	std::vector<_Type> data;
};